# Function configure

- configure<C>(options): (<I, O>(inputs) => Generator<GraphQlRequest | Web3Request, $<Omit<Compilation, "contracts"> & C["compilation"] & {
  contracts: (CompiledContract & _<0>)[];
  }, [I & O]>[], any>)

- #### Type Parameters

  - #### C extends Project.LoadCompile.Batch.Config

  #### Parameters

  - ##### options: Project.LoadCompile.Batch.Contracts.Options<C>

  #### Returns (<I, O>(inputs) => Generator<GraphQlRequest | Web3Request, $<Omit<Compilation, "contracts"> & C["compilation"] & {
  contracts: (CompiledContract & _<0>)[];
  }, [I & O]>[], any>)

  - - <I, O>(inputs): Generator<GraphQlRequest | Web3Request, $<Omit<Compilation, "contracts"> & C["compilation"] & {
      contracts: (CompiledContract & _<0>)[];
      }, [I & O]>[], any>

    - #### Type Parameters

      - #### I extends CompiledContract

      - #### O extends CompiledContract & {
        db: Resources<C>;
        }

      #### Parameters

      - ##### inputs: $<Omit<Compilation, "contracts"> & C["compilation"] & {
        contracts: (CompiledContract & _<0>)[];
        }, [I]>[]

      #### Returns Generator<GraphQlRequest | Web3Request, $<Omit<Compilation, "contracts"> & C["compilation"] & {
      contracts: (CompiledContract & _<0>)[];
      }, [I & O]>[], any>

  - Defined in packages/db/src/project/loadCompile/batch.ts:133

Generated using TypeDoc